[svn-commits] kpfleming: linux/trunk r4503 - in /linux/trunk: ./ build_tools/

SVN commits to the Digium repositories svn-commits at lists.digium.com
Tue Jul 1 15:55:52 CDT 2008


Author: kpfleming
Date: Tue Jul  1 15:55:52 2008
New Revision: 4503

URL: http://svn.digium.com/view/dahdi?view=rev&rev=4503
Log:
remove some more unnecessary stuff, and update genmodconf to no longer support 2.4 kernels, have proper name references, etc.

Removed:
    linux/trunk/build_tools/make_tree
    linux/trunk/build_tools/menuselect-deps.in
    linux/trunk/build_tools/zaptel_svn_tarball
Modified:
    linux/trunk/Makefile
    linux/trunk/build_tools/genmodconf

Modified: linux/trunk/Makefile
URL: http://svn.digium.com/view/dahdi/linux/trunk/Makefile?view=diff&rev=4503&r1=4502&r2=4503
==============================================================================
--- linux/trunk/Makefile (original)
+++ linux/trunk/Makefile Tue Jul  1 15:55:52 2008
@@ -76,31 +76,6 @@
 endif
 
 ROOT_PREFIX=
-
-CHKCONFIG	:= $(wildcard /sbin/chkconfig)
-UPDATE_RCD	:= $(wildcard /usr/sbin/update-rc.d)
-ifndef DESTDIR
-  ifdef CHKCONFIG
-    ADD_INITD	:= $(CHKCONFIG) --add dahdi
-  else
-    ifdef UPDATE_RCD
-      ADD_INITD	:= $(UPDATE_RCD) dahdi defaults 15 30
-    endif
-  endif
-endif
-
-INITRD_DIR	:= $(firstword $(wildcard /etc/rc.d/init.d /etc/init.d))
-ifdef INITRD_DIR
-  INIT_TARGET	:= $(DESTDIR)$(INITRD_DIR)/dahdi
-  COPY_INITD	:= install -D dahdi.init $(INIT_TARGET)
-endif
-RCCONF_DIR	:= $(firstword $(wildcard /etc/sysconfig /etc/default))
-
-NETSCR_DIR	:= $(firstword $(wildcard /etc/sysconfig/network-scripts ))
-ifdef NETSCR_DIR
-  NETSCR_TARGET	:= $(DESTDIR)$(NETSCR_DIR)/ifup-hdlc
-  COPY_NETSCR	:= install -D ifup-hdlc $(NETSCR_TARGET)
-endif
 
 ifneq ($(wildcard .version),)
   DAHDIVERSION:=$(shell cat .version)
@@ -198,30 +173,6 @@
 	$(KMAKE) INSTALL_MOD_PATH=$(DESTDIR) INSTALL_MOD_DIR=dahdi modules_install
 	[ `id -u` = 0 ] && /sbin/depmod -a $(KVERS) || :
 
-config:
-ifdef COPY_INITD
-	$(COPY_INITD)
-endif
-ifdef RCCONF_DIR
-  ifeq (,$(wildcard $(DESTDIR)$(RCCONF_DIR)/dahdi))
-	install -D -m 644 dahdi.sysconfig $(DESTDIR)$(RCCONF_DIR)/dahdi
-  endif
-endif
-ifdef COPY_NETSCR
-	$(COPY_NETSCR)
-endif
-ifdef ADD_INITD
-	$(ADD_INITD)
-endif
-	@echo "DAHDI has been configured."
-	@echo ""
-	@echo "If you have any DAHDI hardware it is now recommended to "
-	@echo "edit /etc/default/dahdi or /etc/sysconfig/dahdi and set there an "
-	@echo "optimal value for the variable MODULES."
-	@echo ""
-	@echo "I think that the DAHDI hardware you have on your system is:"
-	@kernel/xpp/utils/dahdi_hardware || true
-
 update:
 	@if [ -d .svn ]; then \
 		echo "Updating from Subversion..." ; \
@@ -246,6 +197,6 @@
 	@rm -f include/dahdi/version.h
 	@$(MAKE) -C drivers/dahdi/firmware dist-clean
 
-.PHONY: distclean dist-clean clean version.h all install devices modules stackcheck install-udev config update install-modules install-include uninstall-modules
+.PHONY: distclean dist-clean clean version.h all install devices modules stackcheck install-udev update install-modules install-include uninstall-modules
 
 endif # ifdef KBUILD_EXTMOD

Modified: linux/trunk/build_tools/genmodconf
URL: http://svn.digium.com/view/dahdi/linux/trunk/build_tools/genmodconf?view=diff&rev=4503&r1=4502&r2=4503
==============================================================================
--- linux/trunk/build_tools/genmodconf (original)
+++ linux/trunk/build_tools/genmodconf Tue Jul  1 15:55:52 2008
@@ -1,67 +1,48 @@
 #!/bin/sh
 
 # this script makes an attempt to build a proper set of rules
-# for loading the Zaptel modules and automatically running ztcfg
+# for loading the DAHDI modules and automatically running dahdi_xcfg
 #
-# it accepts three parameters:
-#   the kernel major version being targeted (either linux24 or linux26)
+# it accepts two parameters:
 #   the root prefix to be used for finding/creating the files
 #   the list of module names being installed
 #
 # the process is as follows:
 #
-# for linux24, the file can be located either at /etc/modules.conf (combined
-# with all other rules) or in /etc/modutils/zaptel (only the Zaptel rules)
+# the file can be located at /etc/modprobe.conf (combined with all
+# other rules), /etc/modprobe.d/dahdi (DAHDI only) or /etc/modules.d/dahdi
+# (DAHDI only)
 #
-# for linux26, the file can be located at /etc/modprobe.conf (combined with all
-# other rules), /etc/modprobe.d/zaptel (Zaptel only) or /etc/modules.d/zaptel
-# (Zaptel only)
-#
-# when the file is Zaptel rules only, then we don't preserve the existing
+# when the file is DAHDI rules only, then we don't preserve the existing
 # contents of the file; the system administrator can put desired options and
 # overrides in a separate file with a name that appears earlier in the sort
 # order, so there is no need to edit the file produced by this script
 #
 # when the file is combined with all other rules, then we make a backup
-# of it and remove all the old Zaptel rules we can find, replacing them with
+# of it and remove all the old DAHDI rules we can find, replacing them with
 # new ones
 #
-# in addition, for linux26, versions of module-init-tools 3.2.0 and later
+# in addition, versions of module-init-tools 3.2.0 and later
 # have the ability to pass module parameters specified on the modprobe command
 # line to commands in 'install' rules, thus keeping them from being lost, so
 # we try to determine what version is installed and take advantage of that
 
-if [ "${1}" = "linux24" ]; then
-    if [ -d ${2}/etc/modutils ]; then
-	target=${2}/etc/modutils/zaptel
-    elif [ -f ${2}/etc/modules.conf ]; then
-	target=${2}/etc/modules.conf
-	combined=1
-    else
-	echo No suitable location for module rules can be found... exiting.
-	exit 1
-    fi
-elif [ "${1}" = "linux26" ]; then
-    toolver=`/sbin/modprobe --version 2>/dev/null| awk '{print $3}' | cut -d. -f2 | cut -d- -f1`
-    if [ ${toolver} -ge 2 ]; then
-	cmdopts=\$CMDLINE_OPTS
-    fi
-    if [ -d ${2}/etc/modprobe.d ]; then
-	target=${2}/etc/modprobe.d/zaptel
-    elif [ -d ${2}/etc/modules.d ]; then
-	target=${2}/etc/modules.d/zaptel
-    elif [ -f ${2}/etc/modprobe.conf ]; then
-	target=${2}/etc/modprobe.conf
-	combined=1
-    elif [ -f ${2}/etc/conf.modules ]; then
-	target=${2}/etc/conf.modules
-	combined=1
-    else
-	echo No suitable location for module rules can be found... exiting.
-	exit 1
-    fi
+toolver=`/sbin/modprobe --version 2>/dev/null| awk '{print $3}' | cut -d. -f2 | cut -d- -f1`
+if [ ${toolver} -ge 2 ]; then
+    cmdopts=\$CMDLINE_OPTS
+fi
+if [ -d ${1}/etc/modprobe.d ]; then
+    target=${1}/etc/modprobe.d/dahdi
+elif [ -d ${1}/etc/modules.d ]; then
+    target=${1}/etc/modules.d/dahdi
+elif [ -f ${1}/etc/modprobe.conf ]; then
+    target=${1}/etc/modprobe.conf
+    combined=1
+elif [ -f ${1}/etc/conf.modules ]; then
+    target=${1}/etc/conf.modules
+    combined=1
 else
-    echo Unknown kernel build version requested... exiting.
+    echo No suitable location for module rules can be found... exiting.
     exit 1
 fi
 
@@ -79,19 +60,11 @@
 
 echo Building ${target}...
 
-if [ "${1}" = "linux24" ]; then
-    for mod in ${3}; do
-	if ! grep -q "post-install ${mod} " ${target}; then
-	    echo "post-install ${mod} /sbin/ztcfg" >> ${target}
-	fi
-    done
-elif [ "${1}" = "linux26" ]; then
-    for mod in ${3}; do
-	if ! grep -q "install ${mod} " ${target}; then
-	    echo "install ${mod} /sbin/modprobe --ignore-install ${mod} ${cmdopts} && /sbin/ztcfg" >> ${target}
-	fi
-    done
-fi
+for mod in ${2}; do
+    if ! grep -q "install ${mod} " ${target}; then
+	echo "install ${mod} /sbin/modprobe --ignore-install ${mod} ${cmdopts} && /sbin/ztcfg" >> ${target}
+    fi
+done
 
 if [ -z "${combined}" ]; then
     echo "***"
@@ -102,6 +75,6 @@
     echo "*** In the future, do not edit ${target}, but"
     echo "*** instead put your changes in another file"
     echo "*** in the same directory so that they will not"
-    echo "*** be overwritten by future Zaptel updates."
+    echo "*** be overwritten by future DAHDI updates."
     echo "***"
 fi




More information about the svn-commits mailing list